Package org.eclipse.emf.cdo.lm.reviews

# Interface Comment

All Superinterfaces:
  `CDOObject`, `CDOWithID`, `Commentable`, `EObject`, `ModelElement`, `Notifier`, `SystemElement`

All Known Subinterfaces:
  `Heading`

All Known Implementing Classes:
  `CommentImpl`, `HeadingImpl`

public interface Comment extends Commentable
A representation of the model object 'Comment'.

See Also:
  - `ReviewsPackage.getComment()`
Generated
Model
No Implement
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Commentable`
  - `Parent Heading`
  - `Author`
  - `Text`
  - `Status`
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAuthor()`
Returns the value of the 'Author' attribute.
`Commentable`
`getCommentable()`
Returns the value of the 'Commentable' container reference.
`Heading`
`getParentHeading()`
Returns the value of the 'Parent Heading' reference.
`CommentStatus`
`getStatus()`
Returns the value of the 'Status' attribute.
`String`
`getText()`
Returns the value of the 'Text' attribute.
`void`
`setAuthor(String value)`
Sets the value of the '`Author`' attribute.
`void`
`setCommentable(Commentable value)`
Sets the value of the '`Commentable`' container reference.
`void`
`setStatus(CommentStatus value)`
Sets the value of the '`Status`' attribute.
`void`
`setText(String value)`
Sets the value of the '`Text`' attribute.

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.cdo.lm.reviews.Commentable

`getCommentCount, getComments, getResolvedCount, getReview, getUnresolvedCount`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

`getAnnotation, getAnnotations`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.cdo.lm.SystemElement

`getSystem`

## Method Details

### getCommentable

Commentable getCommentable()
Returns the value of the 'Commentable' container reference. It is bidirectional and its opposite is '`Comments`'.

Returns:
  the value of the 'Commentable' container reference.
See Also:
  - `setCommentable(Commentable)`
  - `ReviewsPackage.getComment_Commentable()`
  - `Commentable.getComments()`
Generated
Model
  opposite="comments" resolveProxies="false" required="true" transient="false"

### setCommentable

void setCommentable(Commentable value)
Sets the value of the '`Commentable`' container reference.

Parameters:
  `value` - the new value of the 'Commentable' container reference.
See Also:
  - `getCommentable()`
Generated

### getParentHeading

Heading getParentHeading()
Returns the value of the 'Parent Heading' reference.

Returns:
  the value of the 'Parent Heading' reference.
See Also:
  - `ReviewsPackage.getComment_ParentHeading()`
Generated
Model
  resolveProxies="false" transient="true" changeable="false" volatile="true" derived="true"

### getAuthor

String getAuthor()
Returns the value of the 'Author' attribute.

Returns:
  the value of the 'Author' attribute.
See Also:
  - `setAuthor(String)`
  - `ReviewsPackage.getComment_Author()`
Generated
Model

### setAuthor

void setAuthor(String value)
Sets the value of the '`Author`' attribute.

Parameters:
  `value` - the new value of the 'Author' attribute.
See Also:
  - `getAuthor()`
Generated

### getText

String getText()
Returns the value of the 'Text' attribute.

Returns:
  the value of the 'Text' attribute.
See Also:
  - `setText(String)`
  - `ReviewsPackage.getComment_Text()`
Generated
Model

### setText

void setText(String value)
Sets the value of the '`Text`' attribute.

Parameters:
  `value` - the new value of the 'Text' attribute.
See Also:
  - `getText()`
Generated

### getStatus

CommentStatus getStatus()
Returns the value of the 'Status' attribute. The default value is `"None"`. The literals are from the enumeration `CommentStatus`.

Returns:
  the value of the 'Status' attribute.
See Also:
  - `CommentStatus`
  - `setStatus(CommentStatus)`
  - `ReviewsPackage.getComment_Status()`
Generated
Model
  default="None"

### setStatus

void setStatus(CommentStatus value)
Sets the value of the '`Status`' attribute.

Parameters:
  `value` - the new value of the 'Status' attribute.
See Also:
  - `CommentStatus`
  - `getStatus()`
Generated